Skip to main content
GET
cURL

Path Parameters

database
string
required

Name of the database being looked up.

table
string
required

Name of table being looked up. Table may be schema-qualified (schema.table) and each name component that contains sql unsafe characters such as . or uppercase letters must be surrounded in double quotes like "Naughty schema".table.

Response

Database details response

Grants, column names, and indexes for a table.

columns
object[]
configure_zone_statement
string

The output of "SHOW ZONE CONFIGURATION FOR TABLE" for this table. It is a SQL statement that would re-configure the table's current zone if executed.

create_table_statement
string

The output of "SHOW CREATE" for this table; it is a SQL statement that would re-create the table's current schema if executed.

descriptor_id
integer<int64>

An identifier used to uniquely identify this table. It can be used to find events pertaining to this table by filtering on the target_id field of events.

grants
Grant is an entry from SHOW GRANTS. · object[]
indexes
object[]
range_count
integer<int64>

The size of the table in ranges. This provides a rough estimate of the storage requirements for the table.

zone_config
ZoneConfig holds configuration that applies to one or more ranges. · object

For internal use only.

zone_config_level
integer<int32>

The object level at which the configuration is defined. This is needed because objects without a specifically indicated Zone Configuration will inherit the configuration of their "parent".